aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHeather <Heather@cynede.net>2013-10-23 13:17:58 +0400
committerHeather <Heather@cynede.net>2013-10-23 13:17:58 +0400
commit4462d456bec246f7698c3e0f897b666e7efd2ff0 (patch)
tree4055085e2530839c33e65de0243c980c5b885eee /dev-dotnet/gtk-sharp/gtk-sharp-2.99.1.ebuild
parentbump Fake to 2.1.361 (diff)
downloaddotnet-4462d456bec246f7698c3e0f897b666e7efd2ff0.tar.gz
dotnet-4462d456bec246f7698c3e0f897b666e7efd2ff0.tar.bz2
dotnet-4462d456bec246f7698c3e0f897b666e7efd2ff0.zip
bump gtk-sharp, gudev-sharp, banshee
Diffstat (limited to 'dev-dotnet/gtk-sharp/gtk-sharp-2.99.1.ebuild')
-rw-r--r--dev-dotnet/gtk-sharp/gtk-sharp-2.99.1.ebuild61
1 files changed, 61 insertions, 0 deletions
diff --git a/dev-dotnet/gtk-sharp/gtk-sharp-2.99.1.ebuild b/dev-dotnet/gtk-sharp/gtk-sharp-2.99.1.ebuild
new file mode 100644
index 0000000..8d4e94b
--- /dev/null
+++ b/dev-dotnet/gtk-sharp/gtk-sharp-2.99.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+inherit dotnet autotools base
+
+SLOT="2"
+DESCRIPTION="gtk bindings for mono"
+LICENSE="GPL-2"
+HOMEPAGE="http://www.mono-project.com/GtkSharp"
+KEYWORDS="~amd64 ~x86 ~ppc"
+SRC_URI="https://github.com/mono/${PN}/archive/${PV}.zip"
+IUSE="debug"
+
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-lang/mono-3.0
+ x11-libs/pango
+ >=dev-libs/glib-2.31
+ dev-libs/atk
+ x11-libs/gtk+:2
+ gnome-base/libglade
+ dev-perl/XML-LibXML
+ !dev-dotnet/gtk-sharp-gapi
+ !dev-dotnet/gtk-sharp-docs
+ !dev-dotnet/gtk-dotnet-sharp
+ !dev-dotnet/gdk-sharp
+ !dev-dotnet/glib-sharp
+ !dev-dotnet/gio-sharp
+ !dev-dotnet/glade-sharp
+ !dev-dotnet/pango-sharp
+ !dev-dotnet/atk-sharp"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ sys-devel/automake:1.11"
+
+src_prepare() {
+ base_src_prepare
+ eautoreconf
+ libtoolize
+}
+
+src_configure() {
+ econf --disable-static \
+ --disable-dependency-tracking \
+ --disable-maintainer-mode \
+ $(use_enable debug)
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ default
+ dotnet_multilib_comply
+ sed -i "s/\\r//g" "${D}"/usr/bin/* || die "sed failed"
+}